// {{ ansible_managed }} (unattended-upgrades.j2)
Unattended-Upgrade:{{ uu_pattern_name }} {
{% if uu_origins_pattern is defined %}
{% for origin in uu_origins_pattern %}
    "{{ origin }}";
{% endfor %}
{% else %}
{% for origin in uu_origins_pattern_default %}
    "{{ origin }}";
{% endfor %}
{% endif %}
};

Unattended-Upgrade::Package-Blacklist {
{% if uu_package_blacklist is defined %}{% for package in uu_package_blacklist %}
        "{{ package }}";
{% endfor %}{% endif %}
};

{% if uu_autofix_interrupted_dpkg is defined %}Unattended-Upgrade::AutoFixInterruptedDpkg "{{ uu_autofix_interrupted_dpkg | lower }}";
{% endif %}
{% if uu_minimal_steps is defined %}Unattended-Upgrade::MinimalSteps "{{ uu_minimal_steps | lower }}";
{% endif %}
{% if uu_install_on_shutdown is defined %}Unattended-Upgrade::InstallOnShutdown "{{ uu_install_on_shutdown | lower }}";
{% endif %}
{% if uu_mail is defined %}Unattended-Upgrade::Mail "{{ uu_mail }}";
{% endif %}
{% if uu_mailonlyonerror is defined %}Unattended-Upgrade::MailOnlyOnError "{{ uu_mailonlyonerror | lower }}";
{% endif %}
{% if uu_mailreport is defined and uu_mailreport | lower in ['always','only-on-error','on-change'] %}Unattended-Upgrade::MailReport "{{ uu_mailreport | lower }}";
{% endif %}
{% if uu_remove_unused_kernel_packages is defined %}Unattended-Upgrade::Remove-Unused-Kernel-Packages "{{ uu_remove_unused_kernel_packages | lower }}";
{% endif %}
{% if uu_remove_unused_dependencies is defined %}Unattended-Upgrade::Remove-Unused-Dependencies "{{ uu_remove_unused_dependencies | lower }}";
{% endif %}
Unattended-Upgrade::Automatic-Reboot "{{ uu_automatic_reboot | default('false') | lower }}";
{% if uu_automatic_reboot is defined and uu_automatic_reboot is true and uu_automatic_reboot_withusers is defined %}Unattended-Upgrade::Automatic-Reboot-WithUsers "{{ uu_automatic_reboot_withusers | lower }}";
{% endif %}
{% if uu_automatic_reboot_time is defined %}Unattended-Upgrade::Automatic-Reboot-Time "{{ uu_automatic_reboot_time }}";
{% endif %}
{% if uu_dl_limit is defined %}Acquire::http::Dl-Limit "{{ uu_dl_limit }}";
{% endif %}
{% if uu_syslogenable is defined %}Unattended-Upgrade::SyslogEnable "{{ uu_syslogenable }}";
{% endif %}
{% if uu_syslogfacility is defined %}Unattended-Upgrade::SyslogFacility "{{ uu_syslogfacility }}";
{% endif %}
{% if uu_onlyonacpower is defined %}Unattended-Upgrade::OnlyOnACPower "{{ uu_onlyonacpower }}";
{% endif %}
{% if uu_skip_updates_on_metered_connections is defined %}Unattended-Upgrade::Skip-Updates-On-Metered-Connections "{{ uu_skip_updates_on_metered_connections | lower }}";
{% endif %}
{% if uu_verbose is defined %}Unattended-Upgrade::Verbose "{{ uu_verbose }}";
{% endif %}
{% if uu_debug is defined %}Unattended-Upgrade::Debug "{{ uu_debug }}";
{% endif %}
